Package org.postgresql.core

# Class EncodingPredictor.DecodeResult

java.lang.Object
org.postgresql.core.EncodingPredictor.DecodeResult

Enclosing class:
  EncodingPredictor

public static class EncodingPredictor.DecodeResult extends Object
In certain cases the encoding is not known for sure (e.g. before authentication). In such cases, backend might send messages in "native to database" encoding, thus pgjdbc has to guess the encoding nad

## Field Summary

Fields
Modifier and Type
Field
Description
`final @Nullable String`
`encoding`
`final String`
`result`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### result

public final String result

### encoding

public final @Nullable String encoding